#include<iostream>
#include<conio.h>
using namespace std;
class RevIntArrayClass
{
	private :
		double x[15];
		int i;
	public :
		void SetIntArray()
		{
			for(i = 0; i < 15; i++)
				cin >> x[i];
		}
		void DisplayIntArray()
		{
			for(i = 14; i >= 0; i--)
				cout << x[i] << " ";
		}
};

int main()
{
	RevIntArrayClass A;
	//daryafte aedad
	cout << "tedade 15 adad vared konid : ";
	A.SetIntArray();
	//namayesh natije bar aks
	cout << "natije : ";
	A.DisplayIntArray();
	getch();
}

